/*
*  @description: 采购计划公共字典
  @Modifier: lxl
  @routerPath:
  @date: 2020/11/6-13:28
  * */
export const procurementPlanDictMixins = {
  data() {
    return {
      // 框架计划审核状态
      bizAuditStatusList: [
        {
          typename: '待提交',
          typecode: '00'
        },
        {
          typename: '已提交',
          typecode: '01'
        },
        {
          typename: '已完成',
          typecode: '02'
        }
      ],
      // 是否SAP
      sourceTypeList: [
        {
          typecode: '0',
          typename: '是'
        },
        {
          typecode: '1',
          typename: '不是'
        }
      ],
      // 物料库导出列表公共参数
      exportGrounpPurData: {
        fileId: '', // 附件id
        filtType: '' // 附件类型
      }
    }
  },
  methods: {
    /*
    * 判断物料导出搜索条件是否全部为空
    * ObjectValue 搜索参数obj
    */
    judgeObjectComplete(ObjectValue) {
      delete ObjectValue.pageNo
      delete ObjectValue.pageSize
      delete ObjectValue.collectionType
      let flag = true
      for (const key in ObjectValue) {
        if (ObjectValue[key]) {
          return true
        } else {
          flag = false
        }
      }
      if (!flag) { // 全是空返回false
        return false
      } else { // 否则返回true
        return true
      }
    }

  }
}
